<template>
  <dibs-layout ref="layout" layout="hidden" />
</template>
<script>
definePageMeta({
  middleware: ["if-not-authenticated-then-index"],
});

export default {
  mounted() {
    setTimeout(() => {
      this.$models.Loader().on();
      this.$models
        .OpenAK()
        .get(true)
        .then((pension) => {
          if (pension && pension.originalPension) {
            this.$router.push(this.localePath("synthesis"));
          } else {
            this.$router.push(this.localePath("avs"));
          }
        })
        .catch((err) => {
          if (err && err.response && err.response.status === 401) {
            this.$refs.layout.loadMe(true);
          } else {
            this.$router.push(this.localePath("avs"));
          }
        });
    });
  },
};
</script>
